/*
 * Copyright 2016-2018 shardingsphere.io.
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * </p>
 */

package io.shardingsphere.orchestration.internal.registry;

import io.shardingsphere.orchestration.internal.registry.fixture.SecondTestRegistryCenter;
import io.shardingsphere.orchestration.reg.api.RegistryCenter;
import io.shardingsphere.orchestration.reg.api.RegistryCenterConfiguration;
import org.hamcrest.CoreMatchers;
import org.junit.Test;

import static org.junit.Assert.assertThat;

public final class RegistryCenterLoaderTest {
    
    private RegistryCenter regCenter;
    
    @Test
    public void assertLoad() {
        regCenter = RegistryCenterLoader.load(new RegistryCenterConfiguration());
        assertThat(regCenter, CoreMatchers.<RegistryCenter>instanceOf(SecondTestRegistryCenter.class));
    }
}
